<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="photo.aspx.cs" Inherits="YCHR.Web.person.photo" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>更新我的形象＿个人求职中心_易辰人才招聘系统</title>
<link rel="stylesheet" type="text/css" href="<%=config.templatetheme%>/css/member.css" />
<script type="text/javascript">
       function $(id) {
           return document.getElementById(id);
       }
       var userAgent = navigator.userAgent.toLowerCase();
       var is_opera = userAgent.indexOf('opera') != -1 && opera.version();
       var is_moz = (navigator.product == 'Gecko') && userAgent.substr(userAgent.indexOf('firefox') + 8, 3);
       var is_ie = (userAgent.indexOf('msie') != -1 && !is_opera) && userAgent.substr(userAgent.indexOf('msie') + 5, 3);
       var is_mac = userAgent.indexOf('mac') != -1;
       function AC_GetArgs(args, classid, mimeType) {
           var ret = new Object();
           ret.embedAttrs = new Object();
           ret.params = new Object();
           ret.objAttrs = new Object();
           for (var i = 0; i < args.length; i = i + 2)
           {
               var currArg = args[i].toLowerCase();
               switch (currArg)
               {
                   case "classid": break;
                   case "pluginspage": ret.embedAttrs[args[i]] = 'http://www.macromedia.com/go/getflashplayer'; break;
                   case "src": ret.embedAttrs[args[i]] = args[i + 1]; ret.params["movie"] = args[i + 1]; break;
                   case "codebase": ret.objAttrs[args[i]] = 'http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=9,0,0,0'; break;
                   case "onafterupdate": case "onbeforeupdate": case "onblur": case "oncellchange": case "onclick": case "ondblclick": case "ondrag": case "ondragend":
                   case "ondragenter": case "ondragleave": case "ondragover": case "ondrop": case "onfinish": case "onfocus": case "onhelp": case "onmousedown":
                   case "onmouseup": case "onmouseover": case "onmousemove": case "onmouseout": case "onkeypress": case "onkeydown": case "onkeyup": case "onload":
                   case "onlosecapture": case "onpropertychange": case "onreadystatechange": case "onrowsdelete": case "onrowenter": case "onrowexit": case "onrowsinserted": case "onstart":
                   case "onscroll": case "onbeforeeditfocus": case "onactivate": case "onbeforedeactivate": case "ondeactivate": case "type":
                   case "id": ret.objAttrs[args[i]] = args[i + 1]; break;
                   case "width": case "height": case "align": case "vspace": case "hspace": case "class": case "title": case "accesskey": case "name":
                   case "tabindex": ret.embedAttrs[args[i]] = ret.objAttrs[args[i]] = args[i + 1]; break;
                   default: ret.embedAttrs[args[i]] = ret.params[args[i]] = args[i + 1];
               }
           }
           ret.objAttrs["classid"] = classid;
           if (mimeType)
           {
               ret.embedAttrs["type"] = mimeType;
           }
           return ret;
       }
       function AC_FL_RunContent() {
           var ret = AC_GetArgs(arguments, "clsid:d27cdb6e-ae6d-11cf-96b8-444553540000", "application/x-shockwave-flash");
           var str = '';
           if (is_ie && !is_opera)
           {
               str += '<object ';
               for (var i in ret.objAttrs)
               {
                   str += i + '="' + ret.objAttrs[i] + '" ';
               }
               str += '>';
               for (var i in ret.params)
               {
                   str += '<param name="' + i + '" value="' + ret.params[i] + '" /> ';
               }
               str += '</object>';
           } else
           {
               str += '<embed ';
               for (var i in ret.embedAttrs)
               {
                   str += i + '="' + ret.embedAttrs[i] + '" ';
               }
               str += '></embed>';
           }
           return str;
       }

        

    </script>
<script>
    function getValue() {
        var kk = document.getElementsByTagName('select')[2];
        return kk.options[kk.selectedIndex].value;
    }
    function getTxt() {
        var kk = document.getElementsByTagName('select')[2];
        return kk.options[kk.selectedIndex].innerHTML;
    }
    </script>
</head>
<body>
<!--head-->
<!-- #include file="include/head.html" -->
<!--nav-->
<div class="navbox">
  <div class="navtab">
    <ul>
      <li><a href="index.aspx">求职中心</a></li>
      <li class="now"><a href="PersonInfoModify.aspx">个人资料</a></li>
      <li><a href="/news" target="_blank">职场资讯</a></li>
      <li><a href="/jinji" target="_blank">急招职位</a></li>
      <li class="search"><a href="/search/jobsearch.aspx">职位搜索</a></li>
      <li class="add"><a href="resumeList.aspx">发布简历</a></li>
    </ul>
  </div>
</div>
<div class="clear"></div>
<!--content-->
<div class="box">
  <!--menu-->
  <div class="mb_menu">
    <dl>
      <dt style="margin-top:8px" class="m3"><a href="javascript:void(0);">账户管理</a></dt>
      <dd class="w98"><a href="PersonInfoModify.aspx">我的资料修改</a></dd>
      <dd><a href="PasswordModify.aspx">登陆密码修改</a></dd>
      <dd><a href="photo.aspx" class="now">更新我的形象</a></dd>
      <dd><a href="Safety.aspx">帐号安全认证</a></dd>
    </dl>
  </div>
  <!--right-->
  <div class="navmbs">您的位置： <a href="/">首页</a> > <a href="Index.aspx">求职中心</a> > 帐户管理 >  更新我的形象 </div>
  <div class="mb_infoTip" id="infotip"> <em><a href="javascript:;" onclick="document.getElementById ('infotip').className='none'">关闭</a></em>
    <p>◇   如果您还没有设置自己的头像，系统会显示为默认头像，您需要自己<i class="ft_red">上传一张新照片</i>来作为自己的个人形像.</p>
  </div>
  <div class="mbbox_r">
    <div class="pad20">
      <!--头像部分开始-->
      <table width="100%" border="0" cellpadding="0" cellspacing="10">
        <tr>
          <td><img id="avatar" width="170" height="228" onerror="this.onerror=null;this.src='<%=config.templatetheme%>/images/member/noavatar_medium.gif';" /><br />
            <p style="padding:8px 25px"><a class="a_fff btn_set" href="javascript:;" onclick="$('avatarctrl').style.display = ''"> 更新我的形象</a></p></td>
          <td><div id="avatarctrl" style="display:none ">
              <script type="text/javascript">
                  document.write(AC_FL_RunContent('width', '540', 'height', '253', 'scale', 'exactfit', 'src', '<% =avatarFlashParam %>', 'id', 'mycamera', 'name', 'mycamera', 'quality',
'high', 'bgcolor', '#ffffff', 'wmode', 'transparent', 'menu', 'false', 'swLiveConnect', 'true', 'allowScriptAccess', 'always'));
                                                    </script>
            </div>
            <script type="text/javascript">
                function updateavatar(sender, args) {
                    $('avatar').src = '<%=Localhost %>/upload/avatars/<%=uid %>/medium.jpg?random=1' + Math.random();
                    $('avatarctrl').style.display = 'none';
                }
                updateavatar();
           </script>
            <!-- end 内容 --></td>
        </tr>
      </table>
    </div>
    <br />
  </div>
  <div class="clear"></div>
  <!--content-->
  <div class="clear"></div>
</div>
<!-- #include file="include/foot.html" -->
</body>
</html>
